.Dd December 24, 2009
.Dt apvlv 1
.Os
.Sh NAME
.Nm apvlv
.Nd PDF/DJVU/EPUB/HTML/TXT viewer with vim-like behaviour
.Sh SYNOPSIS
.Nm
.Op options
.Op file
.Sh DESCRIPTION
apvlv is a PDF/DJVU/EPUB/HTML/TXT viewer, which behaves like vim.
.Sh OPTIONS
.Bl -tag -width "v"
.It Fl c Ar file
Load configuration from
.Ar file
instead of the default
.Pa ~/.apvlvrc
.It Fl h
Show help message and exit
.It Fl v
Show version and exit
.El
.Sh COMMANDS
The following command keys can be used inside apvlv.
Some of them may be prefixed by a number (as in pressing "13G"),
this is indicated by a
.Ar count
in their description.  Unless noted otherwise, the default value for the
number is 1.
.Bl -tag -width "indent"
.It o
Display file chooser to open a PDF/DJVU/EPUB/HTML/TXT file
.It O
Select a directory to display
.It t
Display file chooser to open a PDF/DJVU/EPUB/HTML/TXT file in a new tab
.It T
Select a directory to display in a new tab
.It R
Reload the current file
.It r
Rotate the document clockwise by 90 degrees
.It G
Show page number
.Ar count
.It gt
Show next tab
.It gT
Show previous tab
.It PageDown, C-f
Go forward
.Ar count
pages
.It PageUp, C-b
Go backward
.Ar count
pages
.It C-d
Go forward
.Ar count
half pages
.It C-u
Go backward
.Ar count
half pages
.It H
Scroll to page head
.It M
Scroll to page middle
.It L
Scroll to page bottom
.It s
skip some pages
.Ar count
.It C-p, Up, k
Scroll up
.Ar count
units
.It C-n, Down, h
Scroll down
.Ar count
units
.It Backspace, Left, h
Scroll left
.Ar count
units
.It Space, Right, l
Scroll right
.Ar count
units
.It / Ar string
Search forwards for
.Ar string
.It ? Ar string
Search backwards for
.Ar string
.It f
Toggle between fullscreen and window mode
.It zi
Zoom in
.It zo
Zoom out
.It zw
Zoom to fit window width
.It zh
Zoom to fit window height
.It m Ar char
Mark the current position to
.Ar char ,
so that it can be recalled by pressing
.Ar char
.It ' Ar char
Return to the mark position
.Ar char
.It ''
Return to the last position
.It q
Close the current window
.It v
Select a area
.It C-v
Select a rectangle area
.It y
copy the select area text to clipboard
.It c
toggle content display
.It U
underline selected text
.It A
annotate selected text
.It C
comment selected text
.El
.Sh SETTINGS
These can be set in ~/.apvlvrc with
.Qq set Ar setting Op = Ar value .
.Bl -tag -width "indent"
.It fullscreen = yes/no
Enable/Disable fullscreen
.It width = Ar int
Default window width
.It height = Ar int
Default window height
.It fix_width = Ar int
fixed width
.It fix_height = Ar int
fixed height
.It defaultdir = Ar path
Default directory for the open dialogue
.It zoom = Ar mode
Set default zoom level
.Bl -tag -width "indent"
.It normal
The application sets the default zoom value
.It fitwidth
Fit pages to window width
.It fitheight
Fit pages to window height
.It Ar float
1.0 for 100%, 2.0 for 200%, etc.
.El
.It content = yes/no
Show content view first
.It content_follow_mode = Ar mode
Set default content follow mode
.Bl -tag -width "indent"
.It none
Not follow any content, just by user press Enter.
.It page
Just follow page of book.
.It always
Always follow any resources.
.El
.It continuous = yes/no
Show PDF/DJVU/EPUB/HTML/TXT pages continuously or not.
.It continuouspad = Ar int
Padding between pages for continuous = yes
.It autoscrollpage = yes/no
Enable/Disable scrolling the pages when hitting a page tail/head
.It noinfo = yes/no
Disable/Enable the usage of ~/.apvlvinfo
.It pdfcache = Ar int
Set pdf cache size
.It [no]cache = yes/no
Disable/Enable cache
.It scrollbar = yes/no
Set show scrollbar or not
.It visualmode = yes/no
Set use visual mode to select and copy text or not
.It wrapscan = yes/no
Set wrapscan to search text or not
.It doubleclick = Ar action
Set default double click action
.Bl -tag -width "indent"
.It none
Selection nothing
.It word
Selection a word under the curcor to clipboard
.It line
Selection a line under the curcor to clipboard
.It page
Selection a page under the curcor to clipboard
.El
.It guioptions = m/T/mT
Weather display menu, toolbar or mean and toolbar.
.It autoreload = Ar int
If auto reload document after some seconds
.El
.Bl -tag -width "indent"
.It inverted = yes/no
If use inverted mode for pdf page
.It background = Ar color
Set background color
.El
.Sh PROMPT
Like the COMMANDS, but prefixed with a colon:
.Bl -tag -width "indent"
.It :h[elp]
Display the help document
.It :q[uit]
Close the current window
.It :o[pen] Ar file
Open
.Ar file
.It :doc Ar file
Load
.Ar file
into the current window
.It :TOtext Op Ar file
Translate
.Ar file
(or the current page) to a text file
.It :pr[int]
Print the current document
.It :tabnew
Create a new tab
.It :sp
Horizontally split the current window
.It :vsp
Vertically split the current window
.It :fp, :forwardpage Op Ar int
Go forward
.Ar int
pages (1 by default)
.It :bp, :prewardpage Op Ar int
Go backward
.Ar int
pages (1 by default)
.It :g, :goto Ar int
Go to page
.Ar int
.It :z[oom] Ar mode
Set zoom to
.Ar mode
(see "set zoom" in SETTINGS)
.It : Ns Ar int
Go to page
.Ar int
.It :content
toggle content display
.El
.Sh AUTHORS
apvlv was written by Alf <naihe2010@126.com>.
.Pp
This manual page was originally written by Stefan Ritter <xeno@thehappy.de> for the Debian project (but may be used by others), and was rewritten more beautifully by Daniel Friesel <foobar@derf.homelinux.org>.
